# $Id: player-overlay.rb 1 2005-04-19 09:41:42Z tilman $

c = EDJE.collection("euphoria")

c.part("player.overlay", :rect) do |p|
	p.repeat_events = true

	p.description do |d|
		d.color = "#00000000"

		d.rel[0].to = d.rel[1].to = c.part("root")
		d.rel[1].set_rel(1.0, 0.0)
		d.rel[1].set_offset(0, 170)
	end
end

{"show" => "visible", "hide" => "default"}.each do |name, state|
	c.program("player.normal.group.drawer.#{name}", :set_state) do |p|
		p.state = state
		p.mode = :accelerate
		p.time = 0.4
		p.targets <<
			ProgramTarget.new(c.part("player.normal.group.drawer.volume"))
		p.targets <<
			ProgramTarget.new(c.part("player.normal.group.drawer.left"))
	end
end

c.program("player.overlay.mouse.out", :exec_script) do |p|
	p.signal ="mouse,out"
	p.source = "player.overlay"

	p.script =<<SMALL
cancel_timer (get_int (drawer_timer));
set_int (drawer_timer, timer (1.0, "drawer_timer_cb", 0));
SMALL
end

c.program("player.overlay.mouse.in", :exec_script) do |p|
	p.signal = "mouse,in"
	p.source = "player.overlay"

	p.script =<<SMALL
new i = get_int (drawer_timer);

if (i != -1) {
	cancel_timer (i);
	set_int (drawer_timer, -1);
}

if (!get_int (toggle_state_drawer))
	run_program (PROGRAM:"player.normal.group.drawer.show");
SMALL
end
