# $Id: playlist-background.rb 16 2005-04-25 22:01:53Z tilman $

c = EDJE.collection("playlist")
root = c.part("root")

c.part("playlist.background.titlebar.left", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].to = d.rel[1].to = root
		d.auto_rel = true

		d.image = "images/background-titlebar-left.png"
	end
end

c.part("playlist.background.titlebar.right", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].to = d.rel[1].to = root

		d.rel[0].set_rel(1.0, 0.0)
		d.rel[1].set_rel(1.0, 0.0)

		d.rel[0].set_offset(-12, 0)
		d.rel[1].set_offset(-1, 17)

		d.image = "images/background-titlebar-right.png"
	end
end

c.part("playlist.background.titlebar.middle", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].set_to(c.part("playlist.background.titlebar.left"))
		d.rel[1].set_to(c.part("playlist.background.titlebar.right"))

		d.rel[0].set_rel(1.0, 0.0)
		d.rel[1].set_rel(0.0, 1.0)

		d.image = "images/background-titlebar-middle.png"
	end
end

c.part("playlist.background.titlebar.text", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].to = d.rel[1].to = root
		d.rel[0].set_offset(25, 6)

		d.auto_rel = true
		d.image = "images/background-title-pl.png"
	end
end

c.part("playlist.background.titlebar.inset", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].to = d.rel[1].to = root
		d.rel[0].set_offset(79, 6)

		d.auto_rel = true
		d.image = "images/background-title-inset.png"
	end
end

["left", "right"].each do |id|
	c.part("playlist.background.top.#{id}", :image) do |p|
		p.repeat_events = true

		p.description do |d|
			ref_part = c.part("playlist.background.titlebar.#{id}")
			d.rel[0].set_to(ref_part)
			d.rel[1].set_to(ref_part)

			d.rel[0].set_rel(0.0, 1.0)
			d.rel[1].set_offset(-1, 11)

			d.image = "images/background-main-top#{id}.png"
		end
	end
end

c.part("playlist.background.top", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].set_to(c.part("playlist.background.top.left"))
		d.rel[1].set_to(c.part("playlist.background.top.right"))

		d.rel[0].set_rel(1.0, 0.0)
		d.rel[1].set_rel(0.0, 1.0)

		d.image = "images/background-main-topmiddle.png"
	end
end

["left", "right"].each do |id|
	c.part("playlist.background.#{id}", :image) do |p|
		p.repeat_events = true

		p.description do |d|
			ref_part = c.part("playlist.background.top.#{id}")
			d.rel[0].to = ref_part
			d.rel[1].set_to(ref_part, nil)

			d.rel[0].set_rel(0.0, 1.0)
			d.rel[1].set_offset(-1, -25)

			d.image = "images/background-main-middle#{id}.png"
		end
	end
end

c.part("playlist.background.footer.left", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].to = d.rel[1].to = root

		d.rel[0].set_rel(0.0, 1.0)
		d.rel[1].set_rel(0.0, 1.0)

		d.rel[0].set_offset(0, -26)
		d.rel[1].set_offset(11, -1)

		d.image = "images/background-main-footer-left.png"
	end
end

c.part("playlist.background.footer.right", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].to = d.rel[1].to = root

		d.rel[0].set_rel(1.0, 1.0)
		d.rel[0].set_offset(-12, -26)

		d.image = "images/background-main-footer-right.png"
	end
end

c.part("playlist.background.footer.middle", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].set_to(c.part("playlist.background.footer.left"))
		d.rel[1].set_to(c.part("playlist.background.footer.right"))

		d.rel[0].set_rel(1.0, 0.0)
		d.rel[1].set_rel(0.0, 1.0)

		d.image = "images/background-main-footer-middle.png"
	end
end

["left", "right"].each do |id|
	2.times do |i|
		name = i.zero? ? "bottom.#{id}" : "#{id}2"
		ref_part = i.zero? ? "footer" : "bottom"
		ref_part = c.part("playlist.background.#{ref_part}.#{id}")

		c.part("playlist.background." + name, :image) do |p|
			p.repeat_events = true

			p.description do |d|
				d.rel[0].set_to(ref_part)
				d.rel[1].set_to(ref_part)

				d.rel[1].set_rel(1.0, 0.0)
				d.rel[0].set_offset(0, i.zero? ? -14 : -38)

				img = (i.zero? ? "bottom#{id}" : "middle#{id}-2")
				d.image = "images/background-main-#{img}.png"
			end
		end
	end
end

c.part("playlist.background.bottom", :image) do |p|
	p.repeat_events = true

	p.description do |d|
		d.rel[0].set_to(c.part("playlist.background.bottom.left"))
		d.rel[1].set_to(c.part("playlist.background.bottom.right"))

		d.rel[0].set_rel(1.0, 0.0)
		d.rel[1].set_rel(0.0, 1.0)

		d.image = "images/background-main-bottommiddle.png"
	end
end

c.part("playlist.background.middle", :image) do |p|
	p.description do |d|
		d.rel[0].set_to(c.part("playlist.background.top.left"))
		d.rel[1].set_to(c.part("playlist.background.bottom.right"))

		d.rel[0].set_rel(1.0, 1.0)
		d.rel[1].set_rel(0.0, 0.0)

		d.image = "images/background-main-middle.png"
	end
end

c.part("playlist.container", :swallow) do |p|
	p.description do |d|
		d.rel[0].set_to(c.part("playlist.background.middle"))
		d.rel[1].set_to(c.part("playlist.background.middle"))

		# leave some space for the scrollbar
		d.rel[1].set_offset(-19, -1)
	end
end
